
Foreman - Feature #3364

Add option to disable automatc host creation when a report is received

10/18/2013 03:33 PM - Martin Matuška

Status: Closed   

Priority: Normal   

Assignee: Martin Matuška   

Category: Puppet Reports   

Target version: 1.4.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When a valid and authorized report is received, a host is always created with the hostname in the report.

A option similiar to the facts case should allow disabling this behavior.

Related issues:

Related to Foreman - Feature #1963: Make automatic host creation switchable Closed 11/21/2012

Has duplicate Foreman - Feature #2752: Make automatic host creation switchabl... Duplicate 11/21/2012

Associated revisions

Revision 4ab0b55c - 10/24/2013 09:01 AM - Martin Matuška

fixes #3364 Add option to disable automatc host creation when a report is received

History

#1 - 10/18/2013 03:36 PM - Dominic Cleal

- Related to Feature #1963: Make automatic host creation switchable added

#2 - 10/18/2013 03:37 PM - Dominic Cleal

- Has duplicate Feature #2752: Make automatic host creation switchable for reports added

#3 - 10/24/2013 09:03 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Martin Matuška

- Target version set to 1.15.0

- translation missing: en.field_release set to 2

https://github.com/theforeman/foreman/pull/964

#4 - 10/24/2013 09:31 AM - Martin Matuška

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4ab0b55caca556166a6043191be993ad3694f523.
